---------------------
PatchSet 4565 
Date: 2007/05/16 14:24:30
Author: adri
Branch: squid3_logdaemon
Tag: (none) 
Log:
After discussions on IRC, its probably best that I don't bother with namespaces
for now. They may mislead people into thinking certain modules -are- core..

Members: 
	src/LogFile.cc:1.1.2.4->1.1.2.5 
	src/LogFile.h:1.1.2.4->1.1.2.5 
	src/LogFileBlocking.cc:1.1.2.6->1.1.2.7 
	src/LogFileBlocking.h:1.1.2.3->1.1.2.4 
	src/LogFileOpen.cc:1.1.2.4->1.1.2.5 
	src/LogFileOpen.h:1.1.2.1->1.1.2.2 
	src/LogFileSyslog.cc:1.1.2.6->1.1.2.7 
	src/LogFileSyslog.h:1.1.2.5->1.1.2.6 
	src/access_log.cc:1.44.4.4->1.44.4.5 
	src/forward.cc:1.72.4.2->1.72.4.3 
	src/referer.cc:1.5.4.2->1.5.4.3 
	src/store_log.cc:1.9.4.2->1.9.4.3 
	src/structs.h:1.106.8.2->1.106.8.3 
	src/useragent.cc:1.5.4.2->1.5.4.3 

Index: squid3/src/LogFile.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/LogFile.cc,v
retrieving revision 1.1.2.4
retrieving revision 1.1.2.5
diff -u -r1.1.2.4 -r1.1.2.5
--- squid3/src/LogFile.cc	16 May 2007 03:50:51 -0000	1.1.2.4
+++ squid3/src/LogFile.cc	16 May 2007 14:24:30 -0000	1.1.2.5
@@ -1,5 +1,5 @@
 /*
- * $Id: LogFile.cc,v 1.1.2.4 2007/05/16 03:50:51 adri Exp $
+ * $Id: LogFile.cc,v 1.1.2.5 2007/05/16 14:24:30 adri Exp $
  *
  * DEBUG: section 50    Log file handling
  * AUTHOR: Adrian Chadd <adrian@squid-cache.org>
@@ -16,11 +16,6 @@
 
 #include "LogFile.h"
 
-/* ********** */
-/* New stuff; should be relocated into Core later */
-
-namespace Core {
-
 LogFile::LogFile(void)
 {
 }
@@ -94,5 +89,3 @@
 	fatal("LogFile::EndLine: called, but I should be overridden!\n");
 }
 
-}
-
Index: squid3/src/LogFile.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/LogFile.h,v
retrieving revision 1.1.2.4
retrieving revision 1.1.2.5
diff -u -r1.1.2.4 -r1.1.2.5
--- squid3/src/LogFile.h	16 May 2007 03:50:51 -0000	1.1.2.4
+++ squid3/src/LogFile.h	16 May 2007 14:24:30 -0000	1.1.2.5
@@ -7,8 +7,6 @@
  * $INCLUDE GPLv2
  */
 
-namespace Core {
-
 /*
  * This class is designed to be built on;
  * don't use it by itself!
@@ -45,7 +43,5 @@
 		bool do_fatal;
 };
 
-};
-
 
 #endif
Index: squid3/src/LogFileBlocking.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/LogFileBlocking.cc,v
retrieving revision 1.1.2.6
retrieving revision 1.1.2.7
diff -u -r1.1.2.6 -r1.1.2.7
--- squid3/src/LogFileBlocking.cc	16 May 2007 13:09:13 -0000	1.1.2.6
+++ squid3/src/LogFileBlocking.cc	16 May 2007 14:24:30 -0000	1.1.2.7
@@ -1,5 +1,5 @@
 /*
- * $Id: LogFileBlocking.cc,v 1.1.2.6 2007/05/16 13:09:13 adri Exp $
+ * $Id: LogFileBlocking.cc,v 1.1.2.7 2007/05/16 14:24:30 adri Exp $
  *
  * DEBUG: section 50    Log file handling
  * AUTHOR: Adrian Chadd <adrian@squid-cache.org>
@@ -17,11 +17,6 @@
 #include "LogFile.h"
 #include "LogFileBlocking.h"
 
-/* ********** */
-/* New stuff; should be relocated into Core later */
-
-namespace Core {
-
 LogFileBlocking::LogFileBlocking(const char *path, int buf_sz, bool fatal_flag)
 {
 	fp = NULL;
@@ -137,5 +132,3 @@
 	if (! Config.onoff.buffered_logs)
 		Flush();
 }
-
-}
Index: squid3/src/LogFileBlocking.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/LogFileBlocking.h,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid3/src/LogFileBlocking.h	16 May 2007 03:50:51 -0000	1.1.2.3
+++ squid3/src/LogFileBlocking.h	16 May 2007 14:24:30 -0000	1.1.2.4
@@ -7,8 +7,6 @@
  * $INCLUDE GPLv2
  */
 
-namespace Core {
-
 /*
  * This class is designed to be built on;
  * don't use it by itself!
@@ -40,7 +38,5 @@
 		FILE *fp;
 };
 
-};
-
 
 #endif
Index: squid3/src/LogFileOpen.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/LogFileOpen.cc,v
retrieving revision 1.1.2.4
retrieving revision 1.1.2.5
diff -u -r1.1.2.4 -r1.1.2.5
--- squid3/src/LogFileOpen.cc	16 May 2007 13:38:18 -0000	1.1.2.4
+++ squid3/src/LogFileOpen.cc	16 May 2007 14:24:30 -0000	1.1.2.5
@@ -6,7 +6,7 @@
  * Please include the names of authors of any patches made to this
  * file.
  *
- * $Id: LogFileOpen.cc,v 1.1.2.4 2007/05/16 13:38:18 adri Exp $
+ * $Id: LogFileOpen.cc,v 1.1.2.5 2007/05/16 14:24:30 adri Exp $
  */
 
 #include "squid.h"
@@ -17,20 +17,20 @@
 #include "LogFileSyslog.h"
 #endif
 
-Core::LogFile *
+LogFile *
 LogFileOpen(const char *path, int buf_sz, bool do_fatal)
 {
-	Core::LogFile *lf = NULL;
+	LogFile *lf = NULL;
 
 #if HAVE_SYSLOG
 	if (strcmp(path, "syslog") == 0 || strncmp(path, "syslog:", 7) == 0) {
-		lf = new Core::LogFileSyslog(path);
+		lf = new LogFileSyslog(path);
 	}
 #endif
 
 	/* Default - return LogFileBlocking */
 	if (lf == NULL)
-		lf = new Core::LogFileBlocking(path, buf_sz, do_fatal);
+		lf = new LogFileBlocking(path, buf_sz, do_fatal);
 
 	/* Only return the LogFile instance if the Open succeeds */
 	if (lf->Open())
Index: squid3/src/LogFileOpen.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/LogFileOpen.h,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid3/src/LogFileOpen.h	16 May 2007 03:50:51 -0000	1.1.2.1
+++ squid3/src/LogFileOpen.h	16 May 2007 14:24:30 -0000	1.1.2.2
@@ -2,7 +2,7 @@
 #define	__LOGFILEOPEN_H__
 
 
-extern Core::LogFile * LogFileOpen(const char *path, int buf_sz, bool do_fatal);
+extern LogFile * LogFileOpen(const char *path, int buf_sz, bool do_fatal);
 
 
 #endif
Index: squid3/src/LogFileSyslog.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/LogFileSyslog.cc,v
retrieving revision 1.1.2.6
retrieving revision 1.1.2.7
diff -u -r1.1.2.6 -r1.1.2.7
--- squid3/src/LogFileSyslog.cc	16 May 2007 13:38:18 -0000	1.1.2.6
+++ squid3/src/LogFileSyslog.cc	16 May 2007 14:24:30 -0000	1.1.2.7
@@ -1,5 +1,5 @@
 /*
- * $Id: LogFileSyslog.cc,v 1.1.2.6 2007/05/16 13:38:18 adri Exp $
+ * $Id: LogFileSyslog.cc,v 1.1.2.7 2007/05/16 14:24:30 adri Exp $
  *
  * DEBUG: section 50    Log file handling
  * AUTHOR: Adrian Chadd <adrian@squid-cache.org>
@@ -67,10 +67,7 @@
 #define PRIORITY_MASK (LOG_ERR | LOG_WARNING | LOG_NOTICE | LOG_INFO | LOG_DEBUG)
 
 
-/* ********** */
-/* New stuff; should be relocated into Core later */
 
-namespace Core {
 
 LogFileSyslog::LogFileSyslog(const char *path)
 {
@@ -128,6 +125,4 @@
 	logline.clear();
 }
 
-}
-
 #endif	/* HAVE_SYSLOG */
Index: squid3/src/LogFileSyslog.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/LogFileSyslog.h,v
retrieving revision 1.1.2.5
retrieving revision 1.1.2.6
diff -u -r1.1.2.5 -r1.1.2.6
--- squid3/src/LogFileSyslog.h	16 May 2007 13:38:18 -0000	1.1.2.5
+++ squid3/src/LogFileSyslog.h	16 May 2007 14:24:30 -0000	1.1.2.6
@@ -9,8 +9,6 @@
 
 #if HAVE_SYSLOG
 
-namespace Core {
-
 /*
  * This class is designed to be built on;
  * don't use it by itself!
@@ -41,8 +39,5 @@
 		int syslog_priority;
 };
 
-};
-
-
 #endif /* HAVE_SYSLOG */
 #endif
Index: squid3/src/access_log.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/access_log.cc,v
retrieving revision 1.44.4.4
retrieving revision 1.44.4.5
diff -u -r1.44.4.4 -r1.44.4.5
--- squid3/src/access_log.cc	16 May 2007 03:50:52 -0000	1.44.4.4
+++ squid3/src/access_log.cc	16 May 2007 14:24:30 -0000	1.44.4.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: access_log.cc,v 1.44.4.4 2007/05/16 03:50:52 adri Exp $
+ * $Id: access_log.cc,v 1.44.4.5 2007/05/16 14:24:30 adri Exp $
  *
  * DEBUG: section 46    Access Log
  * AUTHOR: Duane Wessels
@@ -49,8 +49,8 @@
 #include "CacheManager.h"
 #include "LogFileOpen.h"
 
-static void accessLogSquid(AccessLogEntry * al, Core::LogFile * logfile);
-static void accessLogCommon(AccessLogEntry * al, Core::LogFile * logfile);
+static void accessLogSquid(AccessLogEntry * al, LogFile * logfile);
+static void accessLogCommon(AccessLogEntry * al, LogFile * logfile);
 static void accessLogCustom(AccessLogEntry * al, customlog * log);
 #if HEADERS_LOG
 static LogFile *headerslog = NULL;
@@ -1250,7 +1250,7 @@
 }
 
 static void
-accessLogSquid(AccessLogEntry * al, Core::LogFile * logfile)
+accessLogSquid(AccessLogEntry * al, LogFile * logfile)
 {
     const char *client = NULL;
     const char *user = NULL;
@@ -1322,7 +1322,7 @@
 }
 
 static void
-accessLogCommon(AccessLogEntry * al, Core::LogFile * logfile)
+accessLogCommon(AccessLogEntry * al, LogFile * logfile)
 {
     const char *client = NULL;
     char *user1 = NULL, *user2 = NULL;
Index: squid3/src/forward.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/forward.cc,v
retrieving revision 1.72.4.2
retrieving revision 1.72.4.3
diff -u -r1.72.4.2 -r1.72.4.3
--- squid3/src/forward.cc	16 May 2007 03:50:52 -0000	1.72.4.2
+++ squid3/src/forward.cc	16 May 2007 14:24:31 -0000	1.72.4.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: forward.cc,v 1.72.4.2 2007/05/16 03:50:52 adri Exp $
+ * $Id: forward.cc,v 1.72.4.3 2007/05/16 14:24:31 adri Exp $
  *
  * DEBUG: section 17    Request Forwarding
  * AUTHOR: Duane Wessels
@@ -71,7 +71,7 @@
 
 #if WIP_FWD_LOG
 static void fwdLog(FwdState * fwdState);
-static Core::LogFile *logfile = NULL;
+static LogFile *logfile = NULL;
 #endif
 
 static PconnPool *fwdPconnPool = new PconnPool("server-side");
Index: squid3/src/referer.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/referer.cc,v
retrieving revision 1.5.4.2
retrieving revision 1.5.4.3
diff -u -r1.5.4.2 -r1.5.4.3
--- squid3/src/referer.cc	16 May 2007 03:50:52 -0000	1.5.4.2
+++ squid3/src/referer.cc	16 May 2007 14:24:35 -0000	1.5.4.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: referer.cc,v 1.5.4.2 2007/05/16 03:50:52 adri Exp $
+ * $Id: referer.cc,v 1.5.4.3 2007/05/16 14:24:35 adri Exp $
  *
  * DEBUG: section 40    Referer Logging
  * AUTHOR: Joe Ramey <ramey@csc.ti.com> (useragent)
@@ -39,7 +39,7 @@
 #include "LogFileOpen.h"
 
 #if USE_REFERER_LOG
-static Core::LogFile *refererlog = NULL;
+static LogFile *refererlog = NULL;
 #endif
 
 void
Index: squid3/src/store_log.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/store_log.cc,v
retrieving revision 1.9.4.2
retrieving revision 1.9.4.3
diff -u -r1.9.4.2 -r1.9.4.3
--- squid3/src/store_log.cc	16 May 2007 03:50:52 -0000	1.9.4.2
+++ squid3/src/store_log.cc	16 May 2007 14:24:35 -0000	1.9.4.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_log.cc,v 1.9.4.2 2007/05/16 03:50:52 adri Exp $
+ * $Id: store_log.cc,v 1.9.4.3 2007/05/16 14:24:35 adri Exp $
  *
  * DEBUG: section 20    Storage Manager Logging Functions
  * AUTHOR: Duane Wessels
@@ -53,7 +53,7 @@
 static int storeLogTagsCounts[STORE_LOG_SWAPOUTFAIL+1];
 static OBJH storeLogTagsHist;
 
-Core::LogFile *storelog = NULL;
+LogFile *storelog = NULL;
 
 void
 storeLog(int tag, const StoreEntry * e)
Index: squid3/src/structs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/structs.h,v
retrieving revision 1.106.8.2
retrieving revision 1.106.8.3
diff -u -r1.106.8.2 -r1.106.8.3
--- squid3/src/structs.h	15 May 2007 15:20:33 -0000	1.106.8.2
+++ squid3/src/structs.h	16 May 2007 14:24:35 -0000	1.106.8.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: structs.h,v 1.106.8.2 2007/05/15 15:20:33 adri Exp $
+ * $Id: structs.h,v 1.106.8.3 2007/05/16 14:24:35 adri Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -1675,7 +1675,7 @@
     char *filename;
     acl_list *aclList;
     logformat *logFormat;
-    Core::LogFile *logfile;
+    LogFile *logfile;
     customlog *next;
     customlog_type type;
 };
Index: squid3/src/useragent.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/useragent.cc,v
retrieving revision 1.5.4.2
retrieving revision 1.5.4.3
diff -u -r1.5.4.2 -r1.5.4.3
--- squid3/src/useragent.cc	16 May 2007 03:50:52 -0000	1.5.4.2
+++ squid3/src/useragent.cc	16 May 2007 14:24:35 -0000	1.5.4.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: useragent.cc,v 1.5.4.2 2007/05/16 03:50:52 adri Exp $
+ * $Id: useragent.cc,v 1.5.4.3 2007/05/16 14:24:35 adri Exp $
  *
  * DEBUG: section 40    User-Agent Logging
  * AUTHOR: Joe Ramey <ramey@csc.ti.com>
@@ -39,7 +39,7 @@
 #include "LogFileOpen.h"
 
 #if USE_USERAGENT_LOG
-static Core::LogFile *useragentlog = NULL;
+static LogFile *useragentlog = NULL;
 #endif
 
 void
